%define	module requests

Name:           python-%{module}
Version:        2.27.1
Release:        %mkrel 2
Summary:        Python HTTP for Humans
License:        Apache License
Group:          Development/Python
Url:            http://python-requests.org/
Source0:        %{module}-%{version}.tar.xz
Patch0:         python-requests-certs.py-to-use-the-system-CA-bundle.patch
Patch1:         requests-relax-reqs.patch

BuildArch:	    noarch

%description
Requests allow you to send HTTP/1.1 requests. You can add headers,
form data, multipart files, and parameters with simple Python
dictionaries, and access the response data in the same way. It's
powered by httplib and urllib3, but it does all the hard work and
crazy hacks for you.

%package -n	python3-%{module}
Summary:        Python HTTP for Humans
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-chardet
BuildRequires:  python3-pygments
BuildRequires:  python3-urllib3

Requires:       rootcerts

%description -n	python3-%{module}
Most existing Python modules for sending HTTP requests are extremely verbose and
cumbersome. Python’s built-in urllib2 module provides most of the HTTP
capabilities you should need, but the API is thoroughly broken. This library is
designed to make HTTP requests easy for developers.

%prep
%setup -qn %{module}-%{version}
%apply_patches

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%files -n python3-%{module}
%doc LICENSE README.md HISTORY.md
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{module}/

%changelog
* Sat Mar 19 2022 TerryN <terryn94 at gmail.com> 2.27.1-2pclos2022
- rebuild

* Tue Mar 01 2022 TerryN <terryn94 at gmail.com> 2.27.1-1pclos2022
- update and rebuild for python 3.10

* Mon Apr 02 2018 marcin82 <fixxer1982 at gmail.com> 2.18.4-1pclos2018
- update

* Fri May 12 2017 bb2 <bb2> - 2.11.1-2pclos2017
- fix build

* Mon May 08 2017 bb2 <bb2> - 2.11.1-1pclos2017
- new version
